<?
include "check.php";
include "forb.php";
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND navn = 'Kommando pakke'") or die(mysql_error());
$antal = mysql_num_rows($q1);
if($antal == '0'){
print "<meta http-equiv='refresh' content='0; url=tagwall.php'>";
}else{
$db_hent = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$hent = mysql_fetch_array($db_hent);
if($hent[point] < $_POST[champere]){
print "<meta http-equiv='refresh' content='0; url=tagwall.php'>";
}else{
$kr = $_POST[champere];
mysql_query("INSERT INTO smid (kr, taget) VALUES ('$kr', '0')") or die(mysql_error());
$q1 = mysql_query("SELECT * FROM smid ORDER by id DESC LIMIT 1") or die(mysql_error());
while($se = mysql_fetch_array($q1)) {
$dato = date("d/m h:i:s");
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$_SESSION[Brugernavn] har givet <b>$kr</b> Mønter, til den første der klikker <a href=tag.php?id=$se[id]>HER!</a>', 'orange')") or die(mysql_error());
mysql_query("UPDATE brugere SET Point = Point - '$_POST[champere]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
print "Dine Mønter er blevet smidt!<meta http-equiv='refresh' content='0; url=tagwall.php'>";
}
}
}
?>